<?php

namespace Planaday\Config\Course\Calendar;

use Planaday\Config\Course\CourseOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum CalendarOptionsEnum: string implements OptionGroupEnum {

	case BACKGROUND_COLOR = 'BACKGROUND_COLOR';
	case TEXT_COLOR = 'TEXT_COLOR';
	case SHOW_MOUSEOVER_TEXT = 'SHOW_MOUSEOVER_TEXT';
	case CALENDAR_VERSION = 'CALENDAR_VERSION';
	case SHOW_ALL_DAY_PARTS = 'SHOW_ALL_DAY_PARTS';

	public static function getClassName(): string {
		return CalendarSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return CourseOptionsEnum::CALENDAR_SETTINGS;
	}
}